#ifdef DYNAMIC_LIGHTS
	heldLightColor = calcHeldLightColor();
#endif

#ifdef CROSS_PROCESS
	vec3 blockCrossColor = mix(blocklightVibrantColorFar, blocklightVibrantColorNear, eyeBrightnessSmooth.x / 240.0); //cross processing color from block lights
	crossProcessColor = mix(mix(vec3(1.0), skylightVibrantColor, lmcoord.y), blockCrossColor, lmcoord.x); //final cross-processing color (blockCrossColor takes priority over skyCrossColor)
#endif